module Main (main) where

import Data.Maybe (Maybe(..))
import Data.Nullable (toMaybe)
import DOM.Simple (Element)
import DOM.Simple.Console (log)
import DOM.Simple.Document (document)
import Effect (Effect)
import FFI.Simple ((...))
import Prelude (Unit, ($))

import Memiescape.App (app)
import Memiescape.Main (render)

main :: Effect Unit
main = paint $ toMaybe (document ... "getElementById" $ [ "app" ])

paint :: Maybe Element -> Effect Unit
paint Nothing = log "[paint] Container not found"
paint (Just c) = render (app {}) c
